export interface ChannelListSearch {
  channel_id?: string
  title?: string
  company_short_name?: string
  tags?: string
  service_dialog_status?: string
  case_withdraw_status?: string
  distribution_status?: string
  channel_quality?: string
  ['per-page']?: string
  page?: string
}

export interface ChannelRequestParams {
  channel_id: string
  channel_type: string
  title: string
  service_phone: string
  channel_owner_user_id: string
  channel_status: string
  tags: string
  summary: string
  comment: string
  channel_quality: string
  distribution_status: string
  case_withdraw_status: string
  service_dialog_status: string
  leaders_id: string
  members?: string
  projects?: string
}

// 渠道成员
export interface ChannelMember {
  user_id: string
  role_id: string
  updated_time: string
  name: string
  mobile: string
  email: string
  role_name: string
}

export type ChannelFormData = Omit<ChannelRequestParams, 'members' | 'projects'> & {
  members: ChannelMember[]
  partner: any
}

// 用户信息
export interface User {
  id: string
  realname: string
  nickname: string
  username: string
  mobile: string
  avatar: string
  email: string
}

// 角色信息
export interface Role {
  id: string
  name: string
  desc: string
  levels: RoleLevel[]
}

export interface RoleLevel {
  level_id: string
  level_name: string
  level_tag: string
  level_group_tag: string
}
